package com.ruoyi.oa.mapper;

import java.util.List;
import com.ruoyi.oa.domain.CmcProject;

/**
 * cmc项目Mapper接口
 * 
 * @author cmc
 * @date 2024-01-30
 */
public interface CmcProjectMapper 
{
    /**
     * 查询cmc项目
     * 
     * @param projectId cmc项目主键
     * @return cmc项目
     */
    public CmcProject selectCmcProjectByProjectId(String projectId);

    /**
     * 查询cmc项目
     *
     * @param cmcProject cmc项目
     * @return cmc项目列表
     */
    public List<CmcProject> selectCmcProjectByProjectNumbers(CmcProject cmcProject);

    /**
     * 查询cmc测绘项目列表
     * 
     * @param cmcProject cmc项目
     * @return cmc项目集合
     */
    public List<CmcProject> selectCmcProjectList(CmcProject cmcProject);

    /**
     * 模糊查询cmc测绘项目列表
     *
     * @param cmcProject cmc项目
     * @return cmc项目集合
     */
    public List<CmcProject> selectCmcProjectListFuzzy(CmcProject cmcProject);

    /**
     * 查询cmc勘察项目列表
     *
     * @param cmcProject cmc项目
     * @return cmc项目集合
     */
    public List<CmcProject> selectCmcInvestProjectList(CmcProject cmcProject);

    /**
     * 查询cmc所有项目列表
     *
     * @param cmcProject cmc项目
     * @return cmc项目集合
     */
    public List<CmcProject> selectCmcAllProjectList(CmcProject cmcProject);

    /**
     * 新增cmc项目
     * 
     * @param cmcProject cmc项目
     * @return 结果
     */
    public int insertCmcProject(CmcProject cmcProject);

    /**
     * 修改cmc项目
     * 
     * @param cmcProject cmc项目
     * @return 结果
     */
    public int updateCmcProject(CmcProject cmcProject);

    /**
     * 删除cmc项目
     * 
     * @param projectId cmc项目主键
     * @return 结果
     */
    public int deleteCmcProjectByProjectId(String projectId);

    /**
     * 批量删除cmc项目
     * 
     * @param projectIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcProjectByProjectIds(String[] projectIds);
}
